local chatcommand_cmd = "announcement_say_all"
local chatcommand_definition = {
    params = "", -- Short parameter description
    description = "Say all announcements in main chat.", -- Full description
    privs = {[yl_announcements.settings.admin_privs] = true},
    func = function(name, param)
        local success, message =
            yl_announcements.chatcommand_announcement_say_all(name, param)

        if success then
            minetest.log("action", "[yl_announcements] player " .. name ..
                             " sent all announcements: " .. param)
            return true, message
        else
            minetest.log("warning",
                         "[yl_announcements] player " .. name ..
                             " sent all announcements: " .. param ..
                             " unsuccessfully, message: " .. message)
            return false, message
        end
    end
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
