-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT
-- Changelog
local mod_start_time = core.get_us_time()
core.log("action", "[MOD] yl_announcements loading")

yl_announcements = {}
yl_announcements.error = {}
-- yl_announcements.modstorage = core.get_mod_storage()
yl_announcements.modpath = core.get_modpath("yl_announcements")
yl_announcements.worldpath = core.get_worldpath()

yl_announcements.information = {}
yl_announcements.information.version = "0.0.1"
yl_announcements.information.author = "AliasAlreadyTaken"
yl_announcements.information.license = "MIT"
yl_announcements.information.name = "yl_announcements"
yl_announcements.information.source = "https://gitea.your-land.de/your-land/yl_announcements"
yl_announcements.information.additional = "Displays messages once per timeframe"

dofile(yl_announcements.modpath .. DIR_DELIM .. "config.lua")
dofile(yl_announcements.modpath .. DIR_DELIM .. "setup.lua")
dofile(yl_announcements.modpath .. DIR_DELIM .. "internal.lua")
dofile(yl_announcements.modpath .. DIR_DELIM  .. "api.lua")
dofile(yl_announcements.modpath .. DIR_DELIM .. "initialize.lua")
dofile(yl_announcements.modpath .. DIR_DELIM  .. "globalsteps.lua")
dofile(yl_announcements.modpath .. DIR_DELIM  .. "chatcommands.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] yl_announcements loaded in [" .. mod_end_time .. "s]")
